Update a Volunteer Attendance
curl --request PUT \
--url https://api.virtuoussoftware.com/api/VolunteerOpportunity/{volunteerOpportunityId}/Attendance/{volunteerAttendanceId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"timeZone": "<string>",
"hours": "<double>",
"startDateTimeUtc": "<dateTime>",
"endDateTimeUtc": "<dateTime>"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
timeZone: '<string>',
hours: '<double>',
startDateTimeUtc: '<dateTime>',
endDateTimeUtc: '<dateTime>'
})
};
fetch('https://api.virtuoussoftware.com/api/VolunteerOpportunity/{volunteerOpportunityId}/Attendance/{volunteerAttendanceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/VolunteerOpportunity/{volunteerOpportunityId}/Attendance/{volunteerAttendanceId}"
payload = {
"timeZone": "<string>",
"hours": "<double>",
"startDateTimeUtc": "<dateTime>",
"endDateTimeUtc": "<dateTime>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/VolunteerOpportunity/{volunteerOpportunityId}/Attendance/{volunteerAttendanceId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"timeZone\": \"<string>\",\n \"hours\": \"<double>\",\n \"startDateTimeUtc\": \"<dateTime>\",\n \"endDateTimeUtc\": \"<dateTime>\"\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/VolunteerOpportunity/{volunteerOpportunityId}/Attendance/{volunteerAttendanceId}';
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
timeZone: '<string>',
hours: '<double>',
startDateTimeUtc: '<dateTime>',
endDateTimeUtc: '<dateTime>'
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": "<integer>",
"volunteerAttendanceUrl": "<string>",
"volunteerId": "<integer>",
"volunteerUrl": "<string>",
"volunteerOpportunityId": "<integer>",
"volunteerOpportunityUrl": "<string>",
"hours": "<double>",
"startDateTimeUtc": "<dateTime>",
"startDateTime": "<dateTime>",
"endDateTimeUtc": "<dateTime>",
"endDateTime": "<dateTime>",
"timeZone": "<string>",
"createDateTimeUtc": "<dateTime>",
"createdByUser": "<string>",
"modifiedDateTimeUtc": "<dateTime>",
"modifiedByUser": "<string>"
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Volunteering
Update a Volunteer Attendance
Corrects a logged shift. Similar to other update methods in the API, excluding a property will remove its value from the object. If you’re only updating a single property, the entire model is still required.
PUT
/
api
/
VolunteerOpportunity
/
{volunteerOpportunityId}
/
Attendance
/
{volunteerAttendanceId}
Update a Volunteer Attendance
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
(Required) The volunteer attendance identifier.
(Required) The volunteer opportunity identifier.
Response
OK
The unique identifier of the record in Virtuous.
The UTC date and time the record was created.
The name of the user who created the record.
The UTC date and time the record was last modified.
The name of the user who last modified the record.
Last modified on August 11, 2026
Was this page helpful?
⌘I